package crm

import (
	"github.com/gin-gonic/gin"
	"github.com/go-playground/validator/v10"
	"hongze/hz_crm_eta/controller/resp"
	"hongze/hz_crm_eta/global"
	"hongze/hz_crm_eta/models/crm"
	crmService "hongze/hz_crm_eta/services/crm"
)

type ReportChapterTypeController struct{}

// Sync
// @Title 同步报告章节
// @Description 同步报告章节
// @Param	request  body  crm.ReportChapterTypeAddReq  true  "type json string"
// @Success 200 string "操作成功"
// @router /chapter_type/sync [post]
func (this *ReportChapterTypeController) Sync(c *gin.Context) {
	var req crm.ReportChapterTypeSyncReq
	err := c.Bind(&req)
	if err != nil {
		errs, ok := err.(validator.ValidationErrors)
		if !ok {
			resp.FailData("参数解析失败", "Err:"+err.Error(), c)
			return
		}
		resp.FailData("参数解析失败", errs.Translate(global.Trans), c)
		return
	}

	e, msg := crmService.SyncReportChapterType(&req)
	if e != nil {
		resp.FailData(msg, e.Error(), c)
		return
	}

	resp.Ok("操作成功", c)
}
