package eta

import "hongze/hz_crm_eta/global"

type ChartPermissionSearchKeyWordMapping struct {
	Id                 int    `gorm:"column:id;primary_key;AUTO_INCREMENT;NOT NULL"`
	ChartPermissionId  int    `gorm:"column:chart_permission_id;default:0"`
	KeyWord            string `gorm:"column:key_word;default:"`
	From               string `gorm:"column:from;default:"`
	TacticType         string `gorm:"column:tactic_type;default:;comment:'策略表type字段值'"`
	TeleconferenceSort int    `gorm:"column:teleconference_sort;default:0;comment:'电话会类型排序'"`
	ClassifyId         int    `gorm:"column:classify_id;default:0;comment:'报告分类ID'"`
}

func (c *ChartPermissionSearchKeyWordMapping) TableName() string {
	return "chart_permission_search_key_word_mapping"
}

type ClassifyPermissionReq struct {
	Keyword string
}

type ClassifyPermissionResp struct {
	List []*ChartPermissionSearchKeyWordMapping
}

func (c *ChartPermissionSearchKeyWordMapping) GetPermissionByKeyword(classifyId int) (items []*ChartPermissionSearchKeyWordMapping, err error) {
	err = global.MYSQL["rddp"].Where("`from`='rddp' AND classify_id = ?", classifyId).Find(&items).Error
	return
}

func (c *ChartPermissionSearchKeyWordMapping) GetPermission() (items []*ChartPermissionSearchKeyWordMapping, err error) {
	err = global.MYSQL["rddp"].Where("`from`='rddp'").Find(&items).Error
	return
}

// ClassifyPermissionEditReq 编辑分类权限请求
type ClassifyPermissionEditReq struct {
	Keyword string
}
