package eta

import (
	"hongze/hz_crm_eta/global"
	"time"
)

type ReportChapterTypePermission struct {
	Id                    int       `gorm:"column:id;primary_key;AUTO_INCREMENT;NOT NULL;comment:'自增序号'"`
	ReportChapterTypeId   int       `gorm:"column:report_chapter_type_id;NOT NULL;comment:'报告章节类型id'"`
	CreatedTime           time.Time `gorm:"column:created_time;default:CURRENT_TIMESTAMP;NOT NULL;comment:'创建时间'"`
	ChartPermissionId     int       `gorm:"column:chart_permission_id;NOT NULL;comment:'权限ID，对应chart_permission权限表'"`
	ResearchType          string    `gorm:"column:research_type;default:week;NOT NULL;comment:'研报类型：day：晨报，week：周报'"`
	PermissionName        string    `gorm:"column:permission_name;default:NULL;comment:'权限名称'"`
	ReportChapterTypeName string    `gorm:"column:report_chapter_type_name;default:NULL;comment:'章节名称'"`
}

func (r *ReportChapterTypePermission) TableName() string {
	return "report_chapter_type_permission"
}

// GetChapterTypePermissionByTypeIdAndResearchType 根据章节类型ID及研报类型获取章节类型权限列表
func GetChapterTypePermissionByTypeIdAndResearchType(reportChapterTypeId int) (items []*ReportChapterTypePermission, err error) {
	err = global.MYSQL["rddp"].Model(ReportChapterTypePermission{}).Where("report_chapter_type_id = ?", reportChapterTypeId).Order("chart_permission_id ASC").Scan(&items).Error
	return
}
