package eta_trial

import (
	"hongze/hz_crm_eta/global"
	"time"
)

// ManualUser 手工数据关联用户
type ManualUser struct {
	ManualUserId    int       `gorm:"primaryKey;column:manual_user_id;type:int(11);not null" json:"manual_user_id"`
	AdminId         int       `gorm:"column:admin_id;type:int(11);default:0" json:"admin_id"`
	AdminRealName   string    `gorm:"column:admin_real_name;type:varchar(100);default:''" json:"admin_real_name"`
	SysUserId       int       `gorm:"column:sys_user_id;type:int(11);default:0" json:"sys_user_id"`
	SysUserRealName string    `gorm:"column:sys_user_real_name;type:varchar(100);default:''" json:"sys_user_real_name"`
	CreateTime      time.Time `gorm:"column:create_time;type:datetime" json:"create_time"`
}

func (m *ManualUser) TableName() string {
	return "manual_user"
}

func (m *ManualUser) Create() (err error) {
	err = global.MYSQL["hz_data_trial"].Create(m).Error
	return
}

// CreateManualAuthReq 新增手工数据权限
type CreateManualAuthReq struct {
	AdminId   int    `json:"admin_id" description:"用户ID"`
	AdminName string `json:"admin_name" description:"用户姓名"`
}
