package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hz_crm_eta/controller"
	"hongze/hz_crm_eta/middleware"
)

func InitAuth(r *gin.RouterGroup) {
	//登录
	authController := new(controller.AuthController)
	authGroup := r.Group("auth/").Use(middleware.Token())
	authGroup.POST("auth_code", authController.CreateAuthCode)
	authGroup.POST("eta_token", authController.GetEtaToken)
	authGroup.POST("crm_token", authController.GetCrmToken)
}
