package crm

import (
	"fmt"
	"hongze/hz_crm_eta/models/crm"
	"hongze/hz_crm_eta/models/eta"
)

// 获取权限列表
func GetChartPermissionList(cond string, pars []interface{}) (permissionList []*crm.ChartPermission, err error) {
	ob := new(crm.ChartPermission)
	permissionList, err = ob.GetItemsByCondition(cond, pars)
	if err != nil {
		err = fmt.Errorf("获取权限列表失败, Err: %s", err.Error())
		return
	}
	return
}

// SyncChartPermission  同步品种表数据
func SyncChartPermission() (err error, errMsg string) {
	//查询是否存在品种
	etaOb := new(eta.ChartPermission)
	list, e := etaOb.GetItemsByCondition(" product_id = 1", []interface{}{})
	if e != nil {
		errMsg = "查询品种信息失败"
		err = fmt.Errorf("查询品种信息失败, Err: " + e.Error())
		return
	}
	for _, v := range list {
		ob := &crm.ChartPermission{
			ChartPermissionId:     v.ChartPermissionId,
			ChartPermissionName:   v.ChartPermissionName,
			PermissionName:        v.PermissionName,
			Sort:                  v.Sort,
			Enabled:               v.Enabled,
			CreatedTime:           v.CreatedTime,
			LastUpdatedTime:       v.LastUpdatedTime,
			TeleconferenceSort:    v.TeleconferenceSort,
			Remark:                v.Remark,
			ClassifyName:          v.ClassifyName,
			ProductName:           v.ProductName,
			ProductId:             v.ProductId,
			ImageUrl:              v.ImageUrl,
			ShowType:              v.ShowType,
			IsOther:               v.IsOther,
			IsReport:              v.IsReport,
			CygxAuth:              v.CygxAuth,
			PermissionType:        v.PermissionType,
			YbImgUrl:              v.YbImgUrl,
			ProductPermissionName: v.ProductPermissionName,
			PriceDrivenState:      v.PriceDrivenState,
			ImageUrlM:             v.ImageUrlM,
			ParentId:              v.ParentId,
			IsPublic:              v.IsPublic,
		}
		err = ob.UpdateOrCreate()
		if err != nil {
			errMsg = "更新失败"
			err = fmt.Errorf("更新品种失败, Err: " + err.Error())
			return
		}
	}
	return
}
