package crm

import (
	"fmt"
	"hongze/hz_crm_eta/models/crm"
	"hongze/hz_crm_eta/models/eta"
	"hongze/hz_crm_eta/services/alarm_msg"
)

// SyncChartPermissionReportMapping  同步报告品种数据
func SyncChartPermissionReportMapping(req crm.PermissionReportReq) (err error, errMsg string) {
	defer func() {
		if err != nil {
			alarm_msg.SendAlarmMsg("新增权限失败，Err："+err.Error(), 3)
		}
	}()
	//查询要新增的品种
	err = crm.RemoveChartPermissionChapterMapping(req.ReportId)
	if err != nil {
		err = fmt.Errorf("修改删除报告权限失败，Err：%s", err.Error())
		return
	}
	etaOb := new(eta.ChartPermissionSearchKeyWordMapping)
	list, e := etaOb.GetPermissionByKeyword(req.ClassifyIdSecond)
	if e != nil {
		errMsg = "查询品种信息失败"
		err = fmt.Errorf("查询品种信息失败, Err: " + e.Error())
		return
	}
	for _, v := range list {
		err = crm.AddChartPermissionChapterMapping(v.ChartPermissionId, req.ReportId)
		if err != nil {
			err = fmt.Errorf("新增权限失败，Err：%s", err.Error())
			return
		}
	}
	return
}
